Subject: bug#69431: 30.0.50; Strange fontificaion behavior

From: Andrea Corallo <[email-masked]>
Date: Tue, 27 Feb 2024 15:11:01 -0500

Eli Zaretskii <[email-masked]> writes:

>> From: Ihor Radchenko <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Tue, 27 Feb 2024 19:26:39 +0000
>> 
>> > So maybe the problem is already solved somehow?
>> 
>> ... or it has something to do with loading built-in Org mode.
>> when I do
>> 1. emacs -Q
>> 2. C-x C-f /tmp/a.org
>> I do not see fontification.
>> 
>> when I do
>> 1. emacs -Q
>> 2. M-: (require 'org)
>> 3. C-x C-f /tmp/a.org
>> I see fontification...
>> 
>> and when I wait long enough for native compilation to finish, I can see
>> fontification without loading org.el.
>> 
>> Not sure if it tells anything useful.
>
>> From: OGAWA Hirofumi <[email-masked]>
>> Cc: Ihor Radchenko <[email-masked]>, [email-masked]
>> Date: Wed, 28 Feb 2024 04:20:13 +0900
>> 
>> I found a bit more about this. If build with --native-compilation=no, I
>> can't reproduce, and at least --native-compilation=aot can reproduce.
>
> Since this seems to be somehow related to native compilation, I'm
> adding Andrea to the discussion, in the hope that he could suggest
> some ideas.

Hi Eli,

thanks.

I suggest to disable `native-comp-jit-compilation' in the .emacs, clean
the eln-cache and run Emacs ruling out the native compiler, this in
order to understand why without '(require 'org)' fontification does not
happen.

My guess is it's because of some quirk in the code and, when the native
compiler reloads the native compiled version of the code somehow this is
fixed, at least at a first glance I'd guess is not native compiler
related (last famous words...).

Thanks

  Andrea